#include <iostream>
#include <bits/stdc++.h>

using namespace std;


int main()
{
    long long a, b, c;
    cin >> a >> b >> c;
    long long max1, a1 = a, b1 = b, c1 = c;
    int x = 1;
    stringstream s, s1, s2;
    s << a;
    s1 << b;
    s2 << c;
    string a3 = s.str(), b3 = s1.str(), c3 = s2.str();
    string r;
    max1 = a;
    if (b > a && b > c) {
        max1 = b;
    }
    else if (c > a && c > b) {
        max1 = c;
    }
    while (max1 > 0) {
        max1 /= 10;
        x *= 10;
    }
    while (a1 < x) {
        a1 *= 10;
    }
    while (b1 < x) {
        b1 *= 10;
    }
    while (c1 < x) {
        c1 *= 10;
    }
    if (a1 >= b1 && a1 >= c1) {
        if (b1 >= c1) {
            r = a3 + b3 + c3;
            cout << r;
        }
        else {
            r = a3 + c3 + b3;
            cout << r;
        }
    }
    else if(b1 >= a1 && b1 >= c1) {
        if (a1 >= c1) {
            r = b3 + a3 + c3;
            cout << r;
        }
        else {
            r = b3 + c3 + a3;
            cout << r;
        }
    }
    else {
        if (a1 >= b1) {
            r = c3 + a3 + b3;
            cout << r;
        }
        else {
            r = c3 + b3 + a3;
            cout << r;
        }
    }



    return 0;
}